linux: 3.0.0-23.39 -proposed tracker

Bug #1026730 reported by Luis Henriques on 2012-07-19
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Canonical Kernel Team
Prepare-package-meta
Undecided
Canonical Kernel Team
Promote-to-proposed
Undecided
Canonical Kernel Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Canonical Security Team
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Oneiric
Medium
Unassigned

Bug Description

This bug is for tracking the 3.0.0-23.39 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 19. July 2012 17:56 UTC
kernel-stable-Certification-testing-end:Thursday, 19. July 2012 18:01 UTC
kernel-stable-Prepare-package-end:Friday, 20. July 2012 03:18 UTC
kernel-stable-Promote-to-proposed-start:Friday, 20. July 2012 03:18 UTC
kernel-stable-Security-signoff-start:Friday, 20. July 2012 18:15 UTC
kernel-stable-Verification-testing-end:Friday, 20. July 2012 18:15 UTC
kernel-stable-Regression-testing-start:Friday, 20. July 2012 18:15 UTC
kernel-stable-Regression-testing-end:Friday, 20. July 2012 21:07 UTC
kernel-stable-Security-signoff-end:Friday, 20. July 2012 21:29 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Friday, 20. July 2012 22:00 UTC
kernel-stable-Promote-to-updates-end:Friday, 20. July 2012 22:00 UTC

Luis Henriques (henrix) on 2012-07-19
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: oneiric
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-07-19
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1026883

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-oneiric (lucid) - bug 1026884

description: updated
Colin Watson (cjwatson) on 2012-07-20
Changed in linux (Ubuntu Oneiric):
importance: Undecided → Medium
status: New → In Progress
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-07-20
description: updated
Ben Howard (darkmuggle) wrote :

Confirmed that the kernel build works in on the Ubuntu Cloud Images running on EC2. I verified it on two seperate EC2 instances.

ubuntu@domU-12-31-39-0E-0C-12:~$ uname -a
Linux domU-12-31-39-0E-0C-12 3.0.0-23-virtual #39-Ubuntu SMP Thu Jul 19 20:00:19 UTC 2012 i686 i686 i386 GNU/Linux
ubuntu@domU-12-31-39-0E-0C-12:~$ dpkg -l | grep linux-image
ii linux-image-3.0.0-17-virtual 3.0.0-17.30 Linux kernel image for version 3.0.0 on x86/x86_64
ii linux-image-3.0.0-23-virtual 3.0.0-23.39 Linux kernel image for version 3.0.0 on x86/x86_64
ii linux-image-virtual 3.0.0.17.20 Linux kernel image for virtual machines

Ben Howard (darkmuggle) wrote :

Confirmed on AMD64 as well.

ubuntu@ip-10-190-26-90:~$ uname -a
Linux ip-10-190-26-90 3.0.0-23-virtual #39-Ubuntu SMP Thu Jul 19 19:57:09 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
ubuntu@ip-10-190-26-90:~$ dpkg -l | grep linux-image
ii linux-image-3.0.0-17-virtual 3.0.0-17.30 Linux kernel image for version 3.0.0 on x86/x86_64
ii linux-image-3.0.0-23-virtual 3.0.0-23.39 Linux kernel image for version 3.0.0 on x86/x86_64
ii linux-image-virtual 3.0.0.17.20 Linux kernel image for virtual machines

The following packages ended up in the wrong component in the -proposed pocket:

linux-image-3.0.0-23-virtual 3.0.0-23.39 - is in universe instead of main

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Brad Figg (brad-figg) on 2012-07-20
description: updated
Adam Conrad (adconrad) wrote :

Overrides fixed by Colin.

Luis Henriques (henrix) on 2012-07-20
tags: added: verification-done-oneiric
Luis Henriques (henrix) on 2012-07-20
tags: removed: verification-done-oneiric
C de-Avillez (hggdh2) wrote :
Download full text (4.4 KiB)

I got a hard failure on AWS m1.small, while running the seccomp tests:

 * Starting xinetd daemon
    [74G[ OK ]
[ 3726.335940] general protection fault: 0000 [#1] SMP
[ 3726.335961] Modules linked in: iptable_filter ip_tables x_tables acpiphp [last unloaded: signpost]
[ 3726.335976]
[ 3726.335981] Pid: 24386, comm: seccomp_tests Not tainted 3.0.0-23-virtual #39-Ubuntu
[ 3726.335992] EIP: 0061:[<c010372d>] EFLAGS: 00010202 CPU: 0
[ 3726.336004] EIP is at xen_write_cr4+0xd/0x20
[ 3726.336010] EAX: 00000664 EBX: 00000016 ECX: c08b4740 EDX: 00000000
[ 3726.336010] ESI: eb011980 EDI: b76e4bb0 EBP: eb00ff60 ESP: eb00ff60
[ 3726.336010] DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0069
[ 3726.336010] Process seccomp_tests (pid: 24386, ti=eb00e000 task=eb011980 task.ti=eb00e000)
[ 3726.336010] Stack:
[ 3726.336010] eb00ff68 c0110bc6 eb00ff70 c01116f5 eb00ff7c c01b6868 00000001 eb00ffac
[ 3726.336010] c01676cc b76e4bb0 00000000 c10a0680 000003e8 eb00ffac c016646a 4a13f267
[ 3726.336010] 00000016 b76e4bb0 00000000 eb00e000 c065f644 00000016 00000001 0804bd41
[ 3726.336010] Call Trace:
[ 3726.336010] [<c0110bc6>] hard_disable_TSC+0x16/0x20
[ 3726.336010] [<c01116f5>] disable_TSC+0x25/0x30
[ 3726.336010] [<c01b6868>] prctl_set_seccomp+0x38/0x60
[ 3726.336010] [<c01676cc>] sys_prctl+0xbc/0x300
[ 3726.336010] [<c016646a>] ? sys_setresuid+0x10a/0x150
[ 3726.336010] [<c065f644>] syscall_call+0x7/0xb
[ 3726.336010] Code: e5 3e 8d 74 26 00 5d c3 8d b6 00 00 00 00 55 89 e5 3e 8d 74 26 00 31 c0 5d c3 8d 74 26 00 55 89 e5 3e 8d 74 26 00 25 6f ff fb ff <0f> 22 e0 5d c3 8d b4 26 00 00 00 00 8d bc 27 00 00 00 00 55 89
[ 3726.336010] EIP: [<c010372d>] xen_write_cr4+0xd/0x20 SS:ESP 0069:eb00ff60
[ 3726.336259] ---[ end trace d66d75245de68efa ]---
[ 3726.337986] general protection fault: 0000 [#2] SMP
[ 3726.337997] Modules linked in: iptable_filter ip_tables x_tables acpiphp [last unloaded: signpost]
[ 3726.338011]
[ 3726.338016] Pid: 494, comm: rs:main Q:Reg Tainted: G D 3.0.0-23-virtual #39-Ubuntu
[ 3726.338027] EIP: 0061:[<c010372d>] EFLAGS: 00010002 CPU: 0
[ 3726.338033] EIP is at xen_write_cr4+0xd/0x20
[ 3726.338039] EAX: 00000664 EBX: eb011980 ECX: 00000000 EDX: 00000001
[ 3726.338045] ESI: eb016600 EDI: c1388000 EBP: eb00fd74 ESP: eb00fd74
[ 3726.338052] DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0069
[ 3726.338058] Process rs:main Q:Reg (pid: 494, ti=eb00e000 task=eb016600 task.ti=c1388000)
[ 3726.338065] Stack:
[ 3726.338069] eb00fd7c c0110bc6 eb00fd9c c011182f eb00fd9c ec693a00 00000000 eb011980
[ 3726.338084] eb016600 00000000 eb00fdc4 c0109145 0119b000 00000000 eb011c84 00000000
[ 3726.338098] ec693a00 4a13f267 eb08da00 00000000 c1389e5c c065d237 eb00fe54 00000286
[ 3726.338113] Call Trace:
[ 3726.338119] [<c0110bc6>] hard_disable_TSC+0x16/0x20
[ 3726.338126] [<c011182f>] __switch_to_xtra+0x8f/0x130
[ 3726.338134] [<c0109145>] __switch_to+0x1d5/0x1f0
[ 3726.338141] [<c065d237>] __schedule+0x2d7/0x620
[ 3726.338149] [<c0106fae>] ? __raw_callee_save_xen_restore_fl+0x6/0x8
[ 3726.338158] [<c0151161>] ? vprintk+0x151/0x430
[ 3726.338165] [<c065f45d>] ? _raw_spin_lock_irqsave+0x2d/0x40
[ 3726.338173] [<c014a21b>] ? __cond_resche...

Read more...

C de-Avillez (hggdh2) wrote :
Download full text (4.0 KiB)

repeating the test -- I do not see an OOPS again, but a series of GPFs:

[ 645.729741] ptrace of non-child pid 26873 was attempted by: gdb (pid 26875)
[ 646.187877] ptrace of non-child pid 26895 was attempted by: gdb (pid 26897)
[ 650.811770] ptrace of non-child pid 27075 was attempted by: dac-bypass.py (pid 27076)
[ 657.211168] ptrace of non-child pid 27253 was attempted by: dac-bypass.py (pid 27256)
[ 661.757066] general protection fault: 0000 [#5] SMP
[ 661.757086] Modules linked in: acpiphp [last unloaded: signpost]
[ 661.757097]
[ 661.757103] Pid: 27363, comm: seccomp_tests Tainted: G D 3.0.0-23-virtual #39-Ubuntu
[ 661.757114] EIP: 0061:[<c010372d>] EFLAGS: 00010202 CPU: 0
[ 661.757125] EIP is at xen_write_cr4+0xd/0x20
[ 661.757130] EAX: 00000664 EBX: 00000016 ECX: c08b4740 EDX: 00000000
[ 661.757137] ESI: eb115940 EDI: b76c7bb0 EBP: eb285f60 ESP: eb285f60
[ 661.757144] DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0069
[ 661.757151] Process seccomp_tests (pid: 27363, ti=eb284000 task=eb115940 task.ti=eb284000)
[ 661.757159] Stack:
[ 661.757163] eb285f68 c0110bc6 eb285f70 c01116f5 eb285f7c c01b6868 00000001 eb285fac
[ 661.757178] c01676cc b76c7bb0 00000000 c1204080 000003e8 eb285fac c016646a d067b9f3
[ 661.757192] 00000016 b76c7bb0 00000000 eb284000 c065f644 00000016 00000001 0804bd41
[ 661.757207] Call Trace:
[ 661.757216] [<c0110bc6>] hard_disable_TSC+0x16/0x20
[ 661.757224] [<c01116f5>] disable_TSC+0x25/0x30
[ 661.757231] [<c01b6868>] prctl_set_seccomp+0x38/0x60
[ 661.757239] [<c01676cc>] sys_prctl+0xbc/0x300
[ 661.757247] [<c016646a>] ? sys_setresuid+0x10a/0x150
[ 661.757256] [<c065f644>] syscall_call+0x7/0xb
[ 661.757261] Code: e5 3e 8d 74 26 00 5d c3 8d b6 00 00 00 00 55 89 e5 3e 8d 74 26 00 31 c0 5d c3 8d 74 26 00 55 89 e5 3e 8d 74 26 00 25 6f ff fb ff <0f> 22 e0 5d c3 8d b4 26 00 00 00 00 8d bc 27 00 00 00 00 55 89
[ 661.757335] EIP: [<c010372d>] xen_write_cr4+0xd/0x20 SS:ESP 0069:eb285f60
[ 661.757356] ---[ end trace 613d93ce9b9bb40f ]---
[ 661.757812] general protection fault: 0000 [#6] SMP
[ 661.757822] Modules linked in: acpiphp [last unloaded: signpost]
[ 661.757831]
[ 661.757835] Pid: 27364, comm: seccomp_tests Tainted: G D 3.0.0-23-virtual #39-Ubuntu
[ 661.757846] EIP: 0061:[<c010372d>] EFLAGS: 00010202 CPU: 0
[ 661.757853] EIP is at xen_write_cr4+0xd/0x20
[ 661.757859] EAX: 00000664 EBX: 00000016 ECX: c08b4740 EDX: 00000000
[ 661.757865] ESI: eb116600 EDI: b76c7bb0 EBP: c120ff60 ESP: c120ff60
[ 661.757871] DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0069
[ 661.757878] Process seccomp_tests (pid: 27364, ti=c120e000 task=eb116600 task.ti=c120e000)
[ 661.757885] Stack:
[ 661.757889] c120ff68 c0110bc6 c120ff70 c01116f5 c120ff7c c01b6868 00000001 c120ffac
[ 661.757903] c01676cc b76c7bb0 00000000 c1204880 000003e8 c120ffac c016646a 80bf79e9
[ 661.757918] 00000016 b76c7bb0 00000000 c120e000 c065f644 00000016 00000001 0804c06b
[ 661.757932] Call Trace:
[ 661.757938] [<c0110bc6>] hard_disable_TSC+0x16/0x20
[ 661.757945] [<c01116f5>] disable_TSC+0x25/0x30
[ 661.757952] [<c01b6868>] prctl_set_seccomp+0x38/0x60
[ 661.757959] [<c01676cc>] sys_prctl+0xb...

Read more...

Stefan Bader (smb) wrote :

Repeating test show that issues seem to be related with the version of Xen running on the EC2 host and not with the guest kernel. 3.0.3 shows a #GP on writing cr4 while 3.4.3 was working ok. And more this failed with older (as old as initial release) kernels as well as it did on the new one (we probably don't know which Xen version this was happening on. So I would say this should not delay the release of this update.

John Johansen (jjohansen) wrote :

Bug1026853 has been created against QRT to track the failing seccomp_tests as it has been shown to occur on older versions of the kernel, and it currently seems likely that it is related to the hosts Xen version.

C de-Avillez (hggdh2) wrote :

tagging qa-testing-passed, given the discussion on #ubuntu-kernel and the comments here.

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-07-20
description: updated
John Johansen (jjohansen) wrote :

No CVEs

Brad Figg (brad-figg) on 2012-07-20
description: updated
Adam Conrad (adconrad) wrote :

Promoted to -updates.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.0.0-23.39

---------------
linux (3.0.0-23.39) oneiric-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1026730

  [ Upstream Kernel Changes ]

  * thp: avoid atomic64_read in pmd_read_atomic for 32bit PAE
    - LP: #1026690
 -- Luis Henriques <email address hidden> Thu, 19 Jul 2012 10:54:38 -0700

Changed in linux (Ubuntu Oneiric):
status: In Progress → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers